#!/usr/bin/env php
<?php

$define = $_SERVER['argv'][1] ?: null;
if (!$define) {
    return;
}
define('DC_RC_PATH', '.');

class mkdcstore
{
    public $name;
    public $desc;
    public $author;
    public $version;
    public $properties;
    public $dcmin   = '2.0';
    public $details = '-';
    public $support = '-';

    public function run($file)
    {
        require $file;
    }

    /**
     * Moke official registerModule in order to extract useful properties
     */
    public function registerModule($name, $desc, $author, $version, $properties = [])
    {
        $this->name       = $name;
        $this->desc       = $desc;
        $this->author     = $author;
        $this->version    = $version;
        $this->properties = $properties;

        if (is_array($this->properties)) {
            if (isset($this->properties['requires'])) {
                foreach ($this->properties['requires'] as $r) {
                    if ($r[0] === 'core') {
                        $this->dcmin = $r[1];

                        break;
                    }
                }
            }
            if (isset($this->properties['details'])) {
                $this->details = $this->properties['details'];
            }
            if (isset($this->properties['support'])) {
                $this->support = $this->properties['support'];
            }
        }
    }
}

$make = new mkdcstore();
$make->run($define);

echo $make->name . '£' . $make->desc . '£' . $make->author . '£' . $make->version . '£' . $make->dcmin . '£' . $make->details . '£' . $make->support;
